Search Unity

  1. Unity 2019.1 is now released.
    Dismiss Notice

Frequently being presented with the API Update Required window

Discussion in '2018.3 Beta' started by chase-cc, Oct 24, 2018.

  1. chase-cc

    chase-cc

    Joined:
    Jan 26, 2018
    Posts:
    10
    Migrating a project from 5.6 > Unity 2018.3 (lol)

    I got through most of the pains, but quite frequently now I get presented with the "API Update Required" popup. (the one where you choose "No Thanks" or "I made a Backup. Go Ahead!")

    It seems that If I click "I Made a backup. Go Ahead!", Unity starts spamming Exceptions from ScriptCompilerBase and never seems to finish compiling.

    If I select "No Thanks", compilation finishes, there are no errors, and I'm allowed to run the game. Any idea what might be going on here?
     
  2. Peter77

    Peter77

    Joined:
    Jun 12, 2013
    Posts:
    3,473
    Could you please submit a bug-report, as explained in this document:
    https://unity3d.com/unity/beta/guide-to-beta-testing#tab-3

    Once you submitted the bug-report, you'll receive a confirmation email shortly after, which contains the bug-report ID. Please post this bug report ID here for Unity staff to pick up.
     
  3. AdrianoVerona_Unity

    AdrianoVerona_Unity

    Unity Technologies

    Joined:
    Apr 11, 2013
    Posts:
    201
    Indeed looks like a bug. As @Peter77 said report an issue and we'll investigate.

    Best
     
  4. chase-cc

    chase-cc

    Joined:
    Jan 26, 2018
    Posts:
    10
    reported, thanks :)
     
  5. AdrianoVerona_Unity

    AdrianoVerona_Unity

    Unity Technologies

    Joined:
    Apr 11, 2013
    Posts:
    201